module HiddenMacFiles
  class Displaying

    attr_reader :options

    def initialize(options)
      @options = options
    end

    def call
      options[:show] ? show : hide
    end

    private

    def show
      system 'defaults write com.apple.finder AppleShowAllFiles TRUE; killall Finder'
      'Hidden files are now visible'
    end

    def hide
      system 'defaults write com.apple.finder AppleShowAllFiles FALSE ; killall Finder'
      'Hidden files are now hidden'
    end
  end
end
